Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1057726

Summary: Remove jetty.xml from ActiveMQ configuration
Product: OpenShift Container Platform Reporter: Brenton Leanhardt <bleanhar>
Component: InstallerAssignee: Luke Meyer <lmeyer>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: unspecified    
Version: 2.0.0CC: libra-bugs, mbarrett, xiama
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1061847 (view as bug list) Environment:
Last Closed: 2014-05-15 14:40:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1061847    

Description Brenton Leanhardt 2014-01-24 16:55:43 UTC
Description of problem:

Jetty is not needed for OpenShift Enterprise's ActiveMQ usage.  We should disable it in our installation and advise customers to do the same in our documentation.

All that should be needed is to comment out the reference to jetty.xml in activemq.xml.

Comment 2 Luke Meyer 2014-01-24 18:35:19 UTC
It is not *needed* ...

However it can be helpful for debugging activemq issues, and the docs have us contact it to confirm activemq is working during deployment.

Is it doing any harm?

Comment 3 Brenton Leanhardt 2014-01-30 16:05:39 UTC
Ha, I actually didn't realize we referenced it anywhere.  Trying to cut down on the number of passwords involved in setting up an OpenShift environment.

Comment 5 Brenton Leanhardt 2014-02-05 18:14:53 UTC
There was a bit of offline conversation about this and in the end we decided we would have openshift.sh default to disabling ActiveMQ's embedded jetty.  I'll clone this bug and assign it to Docs to add a note about disabling jetty.xml after the verification steps are complete.

Comment 6 Brenton Leanhardt 2014-02-05 18:17:08 UTC
https://github.com/openshift/openshift-extras/pull/293

Comment 7 Brenton Leanhardt 2014-02-05 18:36:41 UTC
Here's the upstream puppet change:

https://github.com/openshift/puppet-openshift_origin/pull/171

Comment 8 Ma xiaoqiang 2014-02-07 08:59:47 UTC
check on puddle [2.0.3/2014-02-06.1]
1.get the script of installation from PR
#wget https://raw2.github.com/brenton/openshift-extras/b150545114ae2b9660a021b5b284505ab9c2d276/enterprise/install-scripts/generic/openshift.sh
2.setup env with default configuration
#sh +x openshift.sh
3.check the configuration
vim /etc/activemq/activemq.xml
<--snip-->
    <!--
        Enable web consoles, REST and Ajax APIs and demos. Unneeded for
        OpenShift Enterprise and therefore disabled by default.

        Take a look at ${ACTIVEMQ_HOME}/conf/jetty.xml for more details

        <import resource="jetty.xml"/>
    -->

</beans>
4.create an application with jenkins
#rhc app create testapp php -s --enable-jenkins
5.do some change, then git push
# git commit -amx && git push
Output:
<--snip-->
remote: New build has been deployed.
remote: -------------------------
remote: Git Post-Receive Result: success
remote: Deployment completed with status: success
To ssh://52f49d883eefa937c8000506@testapp-xiaom.ose203.example.com/~/git/testapp.git/
   830ec65..3bddcd8  master -> master